GetPortfolio
curl --request POST \
--url https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner": "<string>",
"chainId": "<string>"
}
'import requests
url = "https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio"
payload = {
"owner": "<string>",
"chainId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({owner: '<string>', chainId: '<string>'})
};
fetch('https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'owner' => '<string>',
'chainId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio"
payload := strings.NewReader("{\n \"owner\": \"<string>\",\n \"chainId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"owner\": \"<string>\",\n \"chainId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"owner\": \"<string>\",\n \"chainId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"portfolio": {
"owner": "0xAbcd1234....",
"timestamp": "2026-08-24T16:54:23.236685739Z",
"totalMargin": 149.26143,
"totalUnrealizedPnl": 7.10187794241007,
"totalRealizedPnl": 0.4408130000000001,
"totalVolume": 156520757.2626406,
"totalFees": 0.8953679999999999,
"totalProfit": 1.336181,
"totalLoss": 0,
"totalTrades": "7",
"totalEquity": 156.36330794241007,
"maxDrawdown": 0.10608023388454796,
"positions": [
{
"owner": "0xAbcd1234....",
"positionId": "85",
"marketId": "12942289985198375563",
"timestamp": "2026-08-24T15:49:13Z",
"market": "BTC-USD",
"side": "SIDE_LONG",
"marginType": "MARGIN_TYPE_ISOLATED",
"nominalSize": 0.01255516,
"entryPrice": 79287.34,
"markPrice": 79023.94,
"liquidationPrice": 73192.328047563,
"allocatedMargin": 99.497385,
"leverage": 10,
"unrealizedPnl": 65.80959585600007,
"reduceOnly": false,
"associatedOrders": [
{
"owner": "0xAbcd1234....",
"orderId": "85",
"timestamp": "2026-08-24T16:21:01.188705915Z",
"marketId": "12942289985198375563",
"market": "BTC-USD",
"type": "ORDER_TYPE_MARKET",
"side": "SIDE_LONG",
"thresholdPrice": 79716.71,
"size": 995.52015,
"leverage": 10,
"status": "ORDER_STATUS_FULLY_FILLED",
"filledSize": 995.52015,
"unfilledSize": 0,
"reduceOnly": false,
"canceled": true,
"initialMargin": 123,
"tickDecimals": 123,
"fees": 0.311272,
"rebates": 0
}
],
"tickDecimals": 2,
"revenueSpent": 5.2866936,
"effectiveSize": 0.01255516
}
],
"orders": [
{
"owner": "0xAbcd1234....",
"orderId": "85",
"timestamp": "2026-08-24T16:21:01.188705915Z",
"marketId": "12942289985198375563",
"market": "BTC-USD",
"type": "ORDER_TYPE_MARKET",
"side": "SIDE_LONG",
"thresholdPrice": 79716.71,
"size": 995.52015,
"leverage": 10,
"status": "ORDER_STATUS_FULLY_FILLED",
"filledSize": 995.52015,
"unfilledSize": 0,
"reduceOnly": false,
"canceled": true,
"initialMargin": 123,
"tickDecimals": 123,
"fees": 0.311272,
"rebates": 0
}
]
}
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk=",
"debug": {}
}
]
}Portfolio
GetPortfolio
Returns an aggregated portfolio snapshot for one wallet: margin, PnL, volume, fee, and equity totals, plus the wallet’s currently open positions and open orders.
NOTE: positions and orders are open-only — closed positions and
terminal-status orders are folded into the aggregate totals but are
not listed individually here. All totals are recomputed fresh on
every request (not cached), so this endpoint is heavier than a
single-position or single-order lookup.
POST
/
portfolio.v1.PortfolioService
/
GetPortfolio
GetPortfolio
curl --request POST \
--url https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner": "<string>",
"chainId": "<string>"
}
'import requests
url = "https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio"
payload = {
"owner": "<string>",
"chainId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({owner: '<string>', chainId: '<string>'})
};
fetch('https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'owner' => '<string>',
'chainId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio"
payload := strings.NewReader("{\n \"owner\": \"<string>\",\n \"chainId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"owner\": \"<string>\",\n \"chainId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"owner\": \"<string>\",\n \"chainId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"portfolio": {
"owner": "0xAbcd1234....",
"timestamp": "2026-08-24T16:54:23.236685739Z",
"totalMargin": 149.26143,
"totalUnrealizedPnl": 7.10187794241007,
"totalRealizedPnl": 0.4408130000000001,
"totalVolume": 156520757.2626406,
"totalFees": 0.8953679999999999,
"totalProfit": 1.336181,
"totalLoss": 0,
"totalTrades": "7",
"totalEquity": 156.36330794241007,
"maxDrawdown": 0.10608023388454796,
"positions": [
{
"owner": "0xAbcd1234....",
"positionId": "85",
"marketId": "12942289985198375563",
"timestamp": "2026-08-24T15:49:13Z",
"market": "BTC-USD",
"side": "SIDE_LONG",
"marginType": "MARGIN_TYPE_ISOLATED",
"nominalSize": 0.01255516,
"entryPrice": 79287.34,
"markPrice": 79023.94,
"liquidationPrice": 73192.328047563,
"allocatedMargin": 99.497385,
"leverage": 10,
"unrealizedPnl": 65.80959585600007,
"reduceOnly": false,
"associatedOrders": [
{
"owner": "0xAbcd1234....",
"orderId": "85",
"timestamp": "2026-08-24T16:21:01.188705915Z",
"marketId": "12942289985198375563",
"market": "BTC-USD",
"type": "ORDER_TYPE_MARKET",
"side": "SIDE_LONG",
"thresholdPrice": 79716.71,
"size": 995.52015,
"leverage": 10,
"status": "ORDER_STATUS_FULLY_FILLED",
"filledSize": 995.52015,
"unfilledSize": 0,
"reduceOnly": false,
"canceled": true,
"initialMargin": 123,
"tickDecimals": 123,
"fees": 0.311272,
"rebates": 0
}
],
"tickDecimals": 2,
"revenueSpent": 5.2866936,
"effectiveSize": 0.01255516
}
],
"orders": [
{
"owner": "0xAbcd1234....",
"orderId": "85",
"timestamp": "2026-08-24T16:21:01.188705915Z",
"marketId": "12942289985198375563",
"market": "BTC-USD",
"type": "ORDER_TYPE_MARKET",
"side": "SIDE_LONG",
"thresholdPrice": 79716.71,
"size": 995.52015,
"leverage": 10,
"status": "ORDER_STATUS_FULLY_FILLED",
"filledSize": 995.52015,
"unfilledSize": 0,
"reduceOnly": false,
"canceled": true,
"initialMargin": 123,
"tickDecimals": 123,
"fees": 0.311272,
"rebates": 0
}
]
}
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk=",
"debug": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol Define the version of the Connect protocol. If omitted, use 1.
Available options:
1 Define the timeout, in ms
Example:
1000
Body
application/json
Response
Success
Show child attributes
Show child attributes